#formOverlay {
    position: absolute;
    inset: 0;
    background-color: rgba(0,0,0,0.5);
    z-index: 1100;

    opacity: 0;
    visibility: hidden;

    transition: opacity 0.3s ease;
    backdrop-filter: blur(14px);

    display: flex;
    justify-content: center;
    align-items: center;
}

#formOverlay.active {
    opacity: 0.99;
    visibility: visible;
}

#overlayBackground {
    width: 70%;
    height: 70%;
    background-color: rgba(0,0,0,0.70);
    z-index: 1200;
    border-radius: 22px;
    border: solid 1px rgba(255, 255, 255, 0.36);
    display: flex;
    flex-direction: column;
}

#overlayHeader {
    padding: 16px 16px 8px 16px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.12);
    display: flex;
    justify-content: space-between;
}

#headerContent {
    max-width: 90%;
}

#headerClose {
    cursor: pointer;
    background-color: rgba(255,255,255,0.12);
    width: 32px;
    height: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    transition-duration: 200ms;
}

#headerClose:hover {
    background-color: rgba(255,255,255,0.36);
}

#closeButton {
    width: 24px;
    height: 24px;
}

#overlayContent {
    padding: 16px;
    flex: 1;
}